#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets

TARGET   = coregarage
TEMPLATE = app

VERSION  = 4.2.0

# Library section
unix:!macx: LIBS += -lcprime-core
unix:!macx: LIBS += -lcprime-widgets
unix:!macx: LIBS += -L/usr/lib -larchiveqt5

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"
        
        desktop.path  = $$PREFIX/share/applications/
        desktop.files = "org.cubocore.CoreGarage.desktop"

        icons.path  = $$PREFIX/share/icons/hicolor/scalable/apps/
        icons.files = org.cubocore.CoreGarage.svg

        INSTALLS += target icons desktop
}


FORMS += \
    coregarage.ui

HEADERS += \
    coregarage.h \
    settings.h

SOURCES += \
    main.cpp \
    coregarage.cpp \
    settings.cpp
